VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "Report_rpt_Meter"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Compare Database
Option Explicit

'*************** Code Start CBR ***********************************************
' Purpose  : code behind a report that calls Draw_Meter_s4p
'              to draw dynamic meters with specified colors
' Author   : crystal (strive4peace)
' Code List: www.msaccessgurus.com/code.htm
' This code: https://msaccessgurus.com/VBA/Draw_Meters.htm
' LICENSE  :
'   You may freely use and share this code, but not sell it.
'   Keep attribution. Mark your changes. Use at your own risk.
'------------------------------------------------------------------------------
'           Detail_Format
'------------------------------------------------------------------------------
Private Sub Detail_Format(Cancel As Integer, FormatCount As Integer)
'221127 crystal
'draw dynamic meters in the detail section of a report
   'CALLs
   '  Draw_Meter_s4p
   'USES
   '  global vriables defined in bas_Draw_Meter_s4p
   
   Dim dbValue As Double

   'in each case, the dimensions for the meter use a Label control
   'a control makes it easier to visualize
   'but wouldn't be necessary
   
   '----- 1
   dbValue = Nz(Me.Value1, 0)
   
   'black center and tick marks
   'font is 20 points and white
   Call Draw_Meter_s4p( _
      Me _
      , Me.Label1 _
      , dbValue _
      , gColorRed, gColorGold _
      , Format(dbValue, "0%") _
      , 20, gColorWhite, vbBlack)

   '----- 2
   dbValue = Nz(Me.Value2, 0)
   
   Call Draw_Meter_s4p( _
      Me _
      , Me.Label2 _
      , dbValue _
      , gColorBluePowder, gColorBlueLight _
      , Format(dbValue, "0%"))

   '----- 3
   dbValue = Nz(Me.Value3, 0)
   
   Call Draw_Meter_s4p( _
      Me _
      , Me.Label3 _
      , dbValue _
      , gColorPurple, gColorPurpleLight _
      , Format(dbValue, "0%"))

   '----- 4
   dbValue = Nz(Me.Value4, 0)
   
   Call Draw_Meter_s4p( _
      Me _
      , Me.Label4 _
      , dbValue _
      , gColorBlueRoyal, gColorYellow _
      , Format(dbValue, "0%"))
   
End Sub
'*************** Code End *****************************************************

